cURL
curl --request DELETE \ --url https://api.nitrosend.com/v1/my/contacts/{id} \ --header 'Authorization: Bearer <token>'
{ "id": 123, "uuid": "3c90c3cc-0d44-4b50-8888-8dd25736052a", "first_name": "<string>", "last_name": "<string>", "source": "<string>", "country_code": "<string>", "data": {}, "subscribed_phone": true, "subscribed_email": true, "verification_status": "verified", "enrichment_status": "enriched", "list_ids": [ 123 ], "last_interacted_at": "2023-11-07T05:31:56Z", "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z", "channels": [ { "id": 123, "contact_id": 123, "kind": "email", "value": "<string>", "subscribed": true, "verified": true, "opt_in_at": "2023-11-07T05:31:56Z", "opt_out_at": "2023-11-07T05:31:56Z", "sent_count": 123, "fail_count": 123, "data": {}, "created_at": "2023-11-07T05:31:56Z", "updated_at": "2023-11-07T05:31:56Z" } ] }
API key (nskey_live_...) or JWT token. API key is checked first; if not found, falls back to Devise JWT authentication.
nskey_live_...
Deleted contact
verified
suppressed
unverified
enriched
not_enriched
Show child attributes